package "ip_to_geo"
version "0.1"
purpose "Convert an IP to country code"
usage "ip_to_geo --ip <ip>|--daemon [--port <port>] [--bind-ip <ip>]"
description "Convert an IP to country code."

section "Interactive mode"
option "ip" i "IP to convert" typestr="ip" string optional
option "quiet" q "Quiet mode" flag off
option "verbose" v "Verbose mode" flag off
section "Daemon mode"
option "daemon" D "Daemonize" flag off
option "port" p "Port" default="53333" int optional
option "bind-ip" b "IP to bind to" string optional
option "no-background" B "Don't go to background for daemon mode" flag off
section "Advanced daemon options"
option "sockets-per-thread" s "Number of sockets managed by a single thread" default="10" int optional
option "sockets-timeout" t "Close connection after X seconds" default="5" int optional
option "client-max-requests" r "Number of requests allowed for one client" default="100" int optional
